Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ExpressionGroupInfo

    java.lang.Object
      jet.api.ExpressionNode
          jet.api.ExpressionGroupInfo

    public class ExpressionGroupInfo

extends ExpressionNode

Field Summary
`static int` | `AND`
`static int` | `OR`

Constructor Summary
`ExpressionGroupInfo()` Constructor.

Method Summary
`boolean` | `addExpression(ExpressionNode expressionInfo)` Adds a Expression into the Expression Group.
`ExpressionNode` | `deleteExpression(int index)` Removes a Expression from the Expression Group.
`int` | `getExpressionLogicType()` Gets the logic type of this Expression Group between others.
`java.util.List<ExpressionNode>` | `getExpressions()` Gets all sub Expression Groups and Expressions of this Expression Group.
`void` | `setExpressionLogicType(int expressionLogicType)` Sets the logic type of this Expression Group between others.
`void` | `setExpressions(java.util.List<ExpressionNode> expressions)` Sets a set of all sub Expression Groups and Expressions.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

Constructor Detail

### ExpressionGroupInfo

    public ExpressionGroupInfo()

  Constructor. Creates an Expression Group Information. An Expression Group contains a set of Expressions.

Method Detail

### deleteExpression

    public ExpressionNode deleteExpression(int index)

  Removes a Expression from the Expression Group.

  Returns:
    the removed Expression node.

### addExpression

    public boolean addExpression(ExpressionNode expressionInfo)

  Adds a Expression into the Expression Group.

  Parameters:
    `expressionInfo` - A sub Expression Group or Expression.
  Returns:
    `true` if the Expression node was inserted successfully, otherwise return `false`.

### getExpressions

    public java.util.List<ExpressionNode> getExpressions()

  Gets all sub Expression Groups and Expressions of this Expression Group.

  Returns:
    list of all sub Expression Groups and Expressions of this Expression Group.

### setExpressions

    public void setExpressions(java.util.List<ExpressionNode> expressions)

  Sets a set of all sub Expression Groups and Expressions.

  Parameters:
    `expressions` - a list of all sub Expression Groups and Expressions

### getExpressionLogicType

    public int getExpressionLogicType()

  Gets the logic type of this Expression Group between others.

  Returns:
    `AND` or `OR` .

### setExpressionLogicType

    public void setExpressionLogicType(int expressionLogicType)
                                throws java.lang.IllegalArgumentException

  Sets the logic type of this Expression Group between others.

  Parameters:
    `expressionLogicType` - the logic type of this Expression Group between others. I.e, it is `AND` or `OR` .
  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD